#!/usr/bin/env python3

import sys
import os
import os.path
import dds

for argv in sys.argv[1:]:
    file = os.path.abspath(argv)
    output = os.path.splitext(file)[0] + ".png"

    info = dds.nvinfo(file)
    format = info["format"]
    alpha = dds.alpha(file)
    
    if format == "DXT1":
        pass
    elif format == "DXT5":
    	if alpha > 254:
    		print(f'[{argv}]: Image is DXT5 but has no alpha channel')
    else:
    	print(f'[{argv}]: incompatible format')