#!/usr/bin/env python3

import sys
import os
import os.path
import dds

for argv in sys.argv[1:]:
    print(f'[{argv}]: converting from dds')
    file = os.path.abspath(argv)
    output = os.path.splitext(file)[0] + ".png"

    dds.nvdecompress(file, output)
    os.remove(file)